Connect phone call to user

Connect phone call to user. See the OpenAPI-defined parameters, request body, and responses below.

POST /Conversation/create-phone-call-to-user

Connect phone call to user. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint cria uma ligação telefônica para um usuário interno e conecta com o cliente.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

This operation has no path, query, or header parameters.

Request body

Content type: application/json · Schema: CreatePhoneCallToUserRequestDto

PropertyTypeRequiredDescriptionConstraints
connectorTypeConnectorTypeNo——
userIdinteger · int32No—nullable
userEmailstringNo—nullable
customerPhoneNumberstringNo—nullable
callerIdstringNo—nullable
queueIdinteger · int32No—nullable

Example request

curl --request POST \
  --url 'https://api.zild.ai/Conversation/create-phone-call-to-user' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "connectorType": 0,
  "userId": 0,
  "userEmail": "string",
  "customerPhoneNumber": "string",
  "callerId": "string",
  "queueId": 0
}'

Responses

StatusDescriptionResponse body
200Ligação criada com sucessoapplication/json · CreatePhoneCallToUserResponseDto

Example response (200):

{
  "callSid": "string",
  "conversationId": 0,
  "userId": 0,
  "userEmail": "string",
  "customerPhoneNumber": "string",
  "callerId": "string",
  "status": "string"
}

Data models

ConnectorType

0 = AnalysisService; 1 = PostgreSQL; 2 = MySQl; 3 = SQLServer; 4 = GoogleBigQuery; 5 = AzureOpenAI; 6 = Chart; 7 = OracleDB; 8 = Deepgram; 9 = AzureSpeech; 10 = AzureLanguageNotUsedAnymore; 11 = AzureStorage; 12 = RetellAI; 13 = AzureVision; 14 = OriginalSoftware; 15 = GoogleApi; 16 = OpenAI; 17 = AzureAiDocumentIntelligence; 18 = ElevenLabs; 19 = Twilio; 20 = Anthropic; 21 = GoogleGemini; 22 = Monday; 23 = Omie; 24 = MEM9

integer

CreatePhoneCallToUserRequestDto
PropertyTypeRequiredDescriptionConstraints
connectorTypeConnectorTypeNo——
userIdinteger · int32No—nullable
userEmailstringNo—nullable
customerPhoneNumberstringNo—nullable
callerIdstringNo—nullable
queueIdinteger · int32No—nullable
CreatePhoneCallToUserResponseDto
PropertyTypeRequiredDescriptionConstraints
callSidstringNo—nullable
conversationIdinteger · int32No——
userIdinteger · int32No——
userEmailstringNo—nullable
customerPhoneNumberstringNo—nullable
callerIdstringNo—nullable
statusstringNo—nullable